# SQLite version 3.x
#   gem install sqlite3
#
#   Ensure the SQLite 3 gem is defined in your Gemfile
#   gem 'sqlite3'
#
default: &default
  adapter: mysql2
  encoding: utf8mb4
  database: olwen_demo_app
  pool: 5
  timeout: 5000
  variables:
    sql_mode: TRADITIONAL

development:
  <<: *default
  username: root
  socket: /tmp/mysql.sock

# Warning: The database defined as "test" will be erased and
# re-generated from your development database when you run "rake".
# Do not set this db to the same as development or production.
test:
  <<: *default
  database: db/test.sqlite3

production:
  <<: *default
  database: olwen_demo_app
  username: olwen_demo_app
  password: olwen_demo_app
  socket: /var/run/mysqld/mysqld.sock
